> ## Documentation Index
> Fetch the complete documentation index at: https://wiz-myvocal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a cover

> Submit a song file and a Cover voice to create an AI cover. The result is delivered to your callback URL.

<sub>**AI Cover** · Workflow: [AI Cover quickstart](/guides/cover-quickstart.md)</sub>

The finished cover is delivered to your `callbackUrl`; see [Cover callbacks](/callback.md) (`COVER_SONG`). Generated covers are listed in [Cover History](/api-reference/history/coverList.md).

### Header

**accessKey** `string` *required*

Your API key. See [Authentication](/api-reference/authentication.md).

### Body

**voiceId** `string` *required*

Your custom voice's id or premade voice's id.

**title** `string` *required*

Please do not exceed 32 characters in length.If it is empty, the first 32 characters of target\_song will be used as the title.

**file** `File` *required*

The target song you want to generate cover version.Please upload mp3/wav files and do not exceed 50MB.

**callbackUrl** `string` *required*

To receive the audio returned after processing is completed.

### Response

**code** `number`

Indicates whether the call was successful. 1 if successful.

**message** `string`

When an exception occurs, specific exception information will be provided in the message.

**data** `object`

Includes specific data.

**Toggle object**

**webhookId** `string`

When the request is successfully sent, a webhookId will be synchronously returned. The same information will also be called back in the callbackUrl, which is used to correlate the request and the response.

```bash Example Request theme={null}
curl --location --request POST 'https://api.myvocal.ai/sound_clone/api/v1/cover' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'voiceId="111"' \
--form 'title="test"' \
--form 'callbackUrl="http://www.google.com"'
```

```json 200（success） theme={null}
# success

{
    "code": 1,
    "message": "Success",
    "data": {
        "webhookId": "7812"
    }
}
```

```json 200（fail） theme={null}
{
  "code": -1,
  "message": "error msg",
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.